package com.android.chmo.model;

import org.xutils.db.annotation.Column;
import org.xutils.db.annotation.Table;

import java.io.Serializable;

/**
 * Created by Administrator on 2018/8/2.
 */

@Table(name = "LoginUser")
public class LoginUser implements Serializable {

    @Column(
            name = "ID",
            isId = true,
            autoGen = true
    )
    private int id;

    @Column(name = "pk")
    public String pk;

    @Column(name = "pet")
    public String pet;

    @Column(name = "phone")
    public String phone;

    @Column(name = "membtype")
    public String membtype;

    @Column(name = "token")
    public String token; // 消息令牌

    @Column(name = "age")
    public String age;

    @Column(name = "hphoto")
    public String hphoto;

    @Column(name = "photo")
    public String photo;

    @Column(name = "qrcode")
    public String qrcode;

    @Column(name = "coin_a")
    public String coin_a;

    @Column(name = "area")
    public String area;


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPk() {
        return pk;
    }

    public void setPk(String pk) {
        this.pk = pk;
    }

    public String getPet() {
        return pet;
    }

    public void setPet(String pet) {
        this.pet = pet;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMembtype() {
        return membtype;
    }

    public void setMembtype(String membtype) {
        this.membtype = membtype;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getHphoto() {
        return hphoto;
    }

    public void setHphoto(String hphoto) {
        this.hphoto = hphoto;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getQrcode() {
        return qrcode;
    }

    public void setQrcode(String qrcode) {
        this.qrcode = qrcode;
    }

    public String getCoin_a() {
        return coin_a;
    }

    public void setCoin_a(String coin_a) {
        this.coin_a = coin_a;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public void setUser(UserInfo info) {
        pk = info.pk;
        phone = info.phone;
        pet = info.pet;
        hphoto = info.hphoto;
        membtype = info.membtype;
        token = info.token;
        age = info.age;
        photo = info.photo;
        qrcode = info.qrcode;
        coin_a = info.coin_a;
        area = info.area;
    }
}
